local contextAction, entityZone
function OnScriptLoaded(level, obj)
  contextAction = obj:FindSingleGOByName("HelperCA")
  entityZone = obj:FindSingleGOByName("entityZone")
  game.SubObject.SetEntityZoneHandler(obj, entityZone)
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
end
function OnStart(level, obj)
  Disable()
end
function OnMarkerEnterZone(level, scriptObj, volumeGameObject, markerGameObject, markerId)
  if tostring(markerId) == tostring(5) then
    Disable()
  end
end
function Enable()
  contextAction.LuaObjectScript.Enable()
  entityZone:ShowEntityVolume()
end
function Disable()
  contextAction.LuaObjectScript.Disable()
  entityZone:HideEntityVolume()
end
